qemu_multiarch_testing: small improvements
authorDenys Vlasenko <vda.linux@googlemail.com>
Mon, 2 Jan 2017 12:48:06 +0000 (13:48 +0100)
committerDenys Vlasenko <vda.linux@googlemail.com>
Mon, 2 Jan 2017 12:48:06 +0000 (13:48 +0100)
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
qemu_multiarch_testing/extract_uuencoded_binary.sh [new file with mode: 0755]
qemu_multiarch_testing/hdc.dir/build

diff --git a/qemu_multiarch_testing/extract_uuencoded_binary.sh b/qemu_multiarch_testing/extract_uuencoded_binary.sh
new file mode 100755 (executable)
index 0000000..6739993
--- /dev/null
@@ -0,0 +1,17 @@
+#!/bin/sh
+# Extract uuencoded and bzipped busybox binaries
+# from system-image-*.log files
+
+for logfile in system-image-*.log; do
+       grep -q '^begin 744 busybox.bz2' "$logfile" \
+       || { echo "No busybox.bz2 in $logfile"; continue; }
+
+       arch=${logfile%.log}
+       arch=${arch#system-image-}
+
+       test -e "busybox-$arch" \
+       && { echo "busybox-$arch exists, not overwriting"; continue; }
+
+       uudecode -o - "$logfile" | bunzip2 >"busybox-$arch" \
+       && chmod 755 "busybox-$arch"
+done
index a9981864a96664276bd4eaa754608188caacd586..c9e1a37e564d84841b0ce072d8e885eb731bd9ed 100755 (executable)
@@ -29,12 +29,13 @@ test -x "bin/busybox-$HOST" && {
                sed 's/^.*CONFIG_EXTRA_CFLAGS.*$/CONFIG_EXTRA_CFLAGS="-mips32"/' -i .config
        }
        # These won't build because of toolchain/libc breakage:
-       sed 's/^.*CONFIG_FEATURE_SYNC_FANCY.*$/# CONFIG_FEATURE_SYNC_FANCY is not set/' -i .config # no syncfs()
+       sed 's/^.*CONFIG_FEATURE_SYNC_FANCY.*$/# CONFIG_FEATURE_SYNC_FANCY is not set/' -i .config # no syncfs() on armv4l, sparc
        sed 's/^.*CONFIG_FEATURE_WTMP.*$/# CONFIG_FEATURE_WTMP is not set/' -i .config
        sed 's/^.*CONFIG_FEATURE_UTMP.*$/# CONFIG_FEATURE_UTMP is not set/' -i .config
        sed 's/^.*CONFIG_FEATURE_INETD_RPC.*$/# CONFIG_FEATURE_INETD_RPC is not set/' -i .config
 
        make #V=1 || sh
+       test -f busybox || exit 1
        size busybox
        ./busybox || echo "Exit code: $?"
        if uuencode TEST </dev/null >/dev/null && bzip2 </dev/null >/dev/null; then